Skip to main content
DELETE
/
items
/
{itemId}
/
salesChannelPrices
/
{salesChannelId}
/
{customerGroupId}
/
{fromQuantity}
Delete Item Sales Channel Price
curl --request DELETE \
  --url https://api.jtl-cloud.com/erp/items/{itemId}/salesChannelPrices/{salesChannelId}/{customerGroupId}/{fromQuantity} \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "ErrorCode": "<string>",
  "ValidationErrors": {},
  "Errors": {},
  "ErrorMessage": "<string>",
  "Stacktrace": "<string>"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Path Parameters

salesChannelId
string
required

The sales channel Id of the item that the sales channel price belongs to. Only online shops and JTL-POS are allowed.

fromQuantity
integer<int32>
required

The quantity the customer must buy to find the sales price.

itemId
integer<int32>
required

The item Id of the item that the sales channel price belongs to.

customerGroupId
integer<int32>
required

The customer Group Id of the item that the sales channel price belongs to.

Response